[youtubei.js](../../../../README.md) / [ProtoUtils](../README.md) / decodeVisitorData

# Function: decodeVisitorData()

> **decodeVisitorData**(`visitor_data`): `VisitorData`

Defined in: [src/utils/ProtoUtils.ts:16](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/ProtoUtils.ts#L16)

## Parameters

### visitor\_data

`string`

## Returns

`VisitorData`
